## org.openmuc.jasn1.ber.types
Class BerNull

    java.lang.Object
      org.openmuc.jasn1.ber.types.BerNull

    public class BerNull

extends java.lang.Object

Field Summary
`BerIdentifier` `id`
`static BerIdentifier` `identifier`

Constructor Summary
`BerNull()`

Method Summary
`int` `decode(java.io.InputStream iStream, boolean explicit)`
`int` `encode(BerByteArrayOutputStream berOStream, boolean explicit)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### identifier

    public static final BerIdentifier identifier

### id

    public BerIdentifier id

Constructor Detail

### BerNull

    public BerNull()

Method Detail

### encode

    public int encode(BerByteArrayOutputStream berOStream,
                      boolean explicit)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### decode

    public int decode(java.io.InputStream iStream,
                      boolean explicit)
               throws java.io.IOException

  Throws:
    `java.io.IOException`